Page MenuHomePhabricator

[LTO] Improve readability of module IDs
ClosedPublic

Authored by ikudrin on May 13 2019, 9:08 AM.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

ikudrin created this revision.May 13 2019, 9:08 AM
Herald added a project: Restricted Project. · View Herald Transcript
ormris added a subscriber: ormris.May 13 2019, 10:02 AM

My minor concern is that the new message is a bit inconsistent with our other error messages I think.

For example, we have:
{{.*}}.a({{.*}}.o): corrupted ELF file: invalid data encoding

i.e. it is <archive name>(<object name>)

and in your message you have different format:

<archive name>:<offset>(<object name>)

So I would suggest to make it <archive name>(<object name> at <offset>) or <archive name>(<object name>:<offset>) probably.

I think Rui might have a opinion here about how the error message should look like.

ruiu added a comment.May 14 2019, 6:39 AM

I think I agree with George. Looks like <archive name>(<object name> at <offset>) is slightly more readable than <archive name>(<object name>:<offset>), but that's not a strong preference.

ikudrin updated this revision to Diff 199580.May 15 2019, 4:55 AM
  • Changed the format to <archive name>(<object name> at <offset>);
  • Changed "if" to "?:";
  • Simplified a check in the tests.
grimar accepted this revision.May 15 2019, 5:01 AM

LGTM

This revision is now accepted and ready to land.May 15 2019, 5:01 AM
ruiu accepted this revision.May 15 2019, 5:33 AM

LGTM

ormris removed a subscriber: ormris.May 15 2019, 9:20 AM
This revision was automatically updated to reflect the committed changes.